from import_export import resources
from . import models

# --------------- FINE PREFISSO TEMPLATE ---------------


class FatturaElettronicaResource(resources.ModelResource):
    class Meta:
        model = models.FatturaElettronica


class RegimeFiscaleResource(resources.ModelResource):
    class Meta:
        model = models.RegimeFiscale


class TipoCassaResource(resources.ModelResource):
    class Meta:
        model = models.TipoCassa


class ModalitaPagamentoResource(resources.ModelResource):
    class Meta:
        model = models.ModalitaPagamento


class TipoDocumentoResource(resources.ModelResource):
    class Meta:
        model = models.TipoDocumento


class NaturaResource(resources.ModelResource):
    class Meta:
        model = models.Natura


class TipoRitenutaResource(resources.ModelResource):
    class Meta:
        model = models.TipoRitenuta


class XmlFatturaElettronicaResource(resources.ModelResource):
    class Meta:
        model = models.XmlFatturaElettronica


class SoggettiFatturaElettronicaResource(resources.ModelResource):
    class Meta:
        model = models.SoggettiFatturaElettronica


class SoggettoFiscaleResource(resources.ModelResource):
    class Meta:
        model = models.SoggettoFiscale


class PartitaIvaCFResource(resources.ModelResource):
    class Meta:
        model = models.PartitaIvaCF


class FormatoTrasmissioneResource(resources.ModelResource):
    class Meta:
        model = models.FormatoTrasmissione


class CodiceDestinatarioResource(resources.ModelResource):
    class Meta:
        model = models.CodiceDestinatario


class IscrizioneAlboProfessionaleResource(resources.ModelResource):
    class Meta:
        model = models.IscrizioneAlboProfessionale


class IscrizioneREAResource(resources.ModelResource):
    class Meta:
        model = models.IscrizioneREA


class SocioUnicoResource(resources.ModelResource):
    class Meta:
        model = models.SocioUnico


class StatoLiquidazioneResource(resources.ModelResource):
    class Meta:
        model = models.StatoLiquidazione


class TerzoIntermediarioOSoggettoEmittenteResource(resources.ModelResource):
    class Meta:
        model = models.TerzoIntermediarioOSoggettoEmittente


class SoggettoEmittenteResource(resources.ModelResource):
    class Meta:
        model = models.SoggettoEmittente


class AlboProfessionaleResource(resources.ModelResource):
    class Meta:
        model = models.AlboProfessionale


class AllegatoResource(resources.ModelResource):
    class Meta:
        model = models.Allegato


class DatoPagamentoResource(resources.ModelResource):
    class Meta:
        model = models.DatoPagamento


class DatiVeicoliResource(resources.ModelResource):
    class Meta:
        model = models.DatiVeicoli


class DatiDocumentaliResource(resources.ModelResource):
    class Meta:
        model = models.DatiDocumentali


class DatiFattureCollegateResource(resources.ModelResource):
    class Meta:
        model = models.DatiFattureCollegate


class DatiSALResource(resources.ModelResource):
    class Meta:
        model = models.DatiSAL


class DatiDDTResource(resources.ModelResource):
    class Meta:
        model = models.DatiDDT


class DatiTrasportoResource(resources.ModelResource):
    class Meta:
        model = models.DatiTrasporto


class ValutaResource(resources.ModelResource):
    class Meta:
        model = models.Valuta


class DatiRitenutaResource(resources.ModelResource):
    class Meta:
        model = models.DatiRitenuta


class CausalePagamentoResource(resources.ModelResource):
    class Meta:
        model = models.CausalePagamento


class DatiBolloResource(resources.ModelResource):
    class Meta:
        model = models.DatiBollo


class DatiCassaPrevidenzialeResource(resources.ModelResource):
    class Meta:
        model = models.DatiCassaPrevidenziale


class ScontoMaggiorazioneResource(resources.ModelResource):
    class Meta:
        model = models.ScontoMaggiorazione


class TipoScontoMaggiorazioneResource(resources.ModelResource):
    class Meta:
        model = models.TipoScontoMaggiorazione


class AliquotaIvaResource(resources.ModelResource):
    class Meta:
        model = models.AliquotaIva


class ContoBancarioResource(resources.ModelResource):
    class Meta:
        model = models.ContoBancario


class IstitutoFinanziarioResource(resources.ModelResource):
    class Meta:
        model = models.IstitutoFinanziario


class DettaglioBancarioResource(resources.ModelResource):
    class Meta:
        model = models.DettaglioBancario


class CondizionePagamentoResource(resources.ModelResource):
    class Meta:
        model = models.CondizionePagamento


class DettaglioLineeResource(resources.ModelResource):
    class Meta:
        model = models.DettaglioLinee


class altroDatoGestionaleResource(resources.ModelResource):
    class Meta:
        model = models.altroDatoGestionale


class TipoCessionePrestazioneResource(resources.ModelResource):
    class Meta:
        model = models.TipoCessionePrestazione


class CodiceArticoloResource(resources.ModelResource):
    class Meta:
        model = models.CodiceArticolo


class TipoCodiceArticoloResource(resources.ModelResource):
    class Meta:
        model = models.TipoCodiceArticolo


class ArticoloLineaResource(resources.ModelResource):
    class Meta:
        model = models.ArticoloLinea


class UnitaMisuraResource(resources.ModelResource):
    class Meta:
        model = models.UnitaMisura


class TipoResaResource(resources.ModelResource):
    class Meta:
        model = models.TipoResa


class RiferimentoDDTNumeroLineaResource(resources.ModelResource):
    class Meta:
        model = models.RiferimentoDDTNumeroLinea


class RiferimentoOrdineAcquistoNumeroLineaResource(resources.ModelResource):
    class Meta:
        model = models.RiferimentoOrdineAcquistoNumeroLinea


class CodiciDocumentaliResource(resources.ModelResource):
    class Meta:
        model = models.CodiciDocumentali


class TipologiaDocumentaleResource(resources.ModelResource):
    class Meta:
        model = models.TipologiaDocumentale


class DatiEstesiDettaglioFatturabileResource(resources.ModelResource):
    class Meta:
        model = models.OggettoDaFatturare
